FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202110182323.p0.git.9ea1ebc.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202110182323.p0.git.9ea1ebc.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9ea1ebc OS_GIT_VERSION=4.9.0-202110182323.p0.git.9ea1ebc.assembly.stream-9ea1ebc SOURCE_DATE_EPOCH=1630311980 SOURCE_GIT_COMMIT=9ea1ebc89f721d3cd929f58c7ab9ed4273d3c493 SOURCE_GIT_TAG=v4.4-imagestream-1-64-g9ea1ebc SOURCE_GIT_URL=https://github.com/openshift/oauth-proxy 
WORKDIR  /go/src/github.com/openshift/oauth-proxy
COPY . .
RUN go build .

FROM openshift/base-rhel8:v4.9.0.20211018.233142
ENV __doozer=update BUILD_RELEASE=202110182323.p0.git.9ea1ebc.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202110182323.p0.git.9ea1ebc.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9ea1ebc OS_GIT_VERSION=4.9.0-202110182323.p0.git.9ea1ebc.assembly.stream-9ea1ebc SOURCE_DATE_EPOCH=1630311980 SOURCE_GIT_COMMIT=9ea1ebc89f721d3cd929f58c7ab9ed4273d3c493 SOURCE_GIT_TAG=v4.4-imagestream-1-64-g9ea1ebc SOURCE_GIT_URL=https://github.com/openshift/oauth-proxy 
COPY --from=builder /go/src/github.com/openshift/oauth-proxy/oauth-proxy /usr/bin/oauth-proxy
ENTRYPOINT ["/usr/bin/oauth-proxy"]

LABEL \
        License="GPLv2+" \
        io.k8s.description="OpenShift OAuth Proxy." \
        io.k8s.display-name="OpenShift OAuth Proxy" \
        io.openshift.tags="oauth" \
        vendor="Red Hat" \
        name="openshift/ose-oauth-proxy" \
        com.redhat.component="golang-github-openshift-oauth-proxy-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        release="202110182323.p0.git.9ea1ebc.assembly.stream" \
        io.openshift.build.commit.id="9ea1ebc89f721d3cd929f58c7ab9ed4273d3c493" \
        io.openshift.build.source-location="https://github.com/openshift/oauth-proxy" \
        io.openshift.build.commit.url="https://github.com/openshift/oauth-proxy/commit/9ea1ebc89f721d3cd929f58c7ab9ed4273d3c493" \
        version="v4.9.0"

